org.apache.ignite.ml.selection.scoring.metric.classification

## Class TruePositiveAbsoluteValue<L extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.selection.scoring.metric.classification.BinaryClassificationMetric<L>
  - - org.apache.ignite.ml.selection.scoring.metric.classification.TruePositiveAbsoluteValue<L>

- All Implemented Interfaces:
    Serializable, Metric<L,BinaryClassificationEvaluationContext<L>,BinaryClassificationPointwiseMetricStatsAggregator<L>>

      public class TruePositiveAbsoluteValue<L extends Serializable>
      extends BinaryClassificationMetric<L>

  TruePositive metric class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TruePositiveAbsoluteValue()` Creates an instance of TruePositiveAbsoluteValue class.
    `TruePositiveAbsoluteValue(L truthLabel, L falseLabel)` Creates an instance of TruePositiveAbsoluteValue class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TruePositiveAbsoluteValue<L>` | `initBy(BinaryClassificationPointwiseMetricStatsAggregator<L> aggr)` Initializes metric value by statistics aggregator.
    `MetricName` | `name()` Returns metric name.
    `double` | `value()` Returns metric value.

    - ### Methods inherited from class org.apache.ignite.ml.selection.scoring.metric.classification.BinaryClassificationMetric

      `makeAggregator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TruePositiveAbsoluteValue

          public TruePositiveAbsoluteValue()

      Creates an instance of TruePositiveAbsoluteValue class.

    - #### TruePositiveAbsoluteValue

          public TruePositiveAbsoluteValue(L truthLabel,
                                           L falseLabel)

      Creates an instance of TruePositiveAbsoluteValue class.
      Parameters:
        `truthLabel` - Truth label.
        `falseLabel` - False label.

  - ### Method Detail

    - #### initBy

          public TruePositiveAbsoluteValue<L> initBy(BinaryClassificationPointwiseMetricStatsAggregator<L> aggr)

      Initializes metric value by statistics aggregator.
      Parameters:
        `aggr` - Aggregator.

    - #### value

          public double value()

      Returns metric value.
      Returns:
        Metric value.

    - #### name

          public MetricName name()

      Returns metric name.
      Returns:
        Metric name.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022